
// $Id: TaskListDialog.cpp,v 1.7 2011/11/11 13:29:10 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

/*!
  \file TaskListDialog.cc
  \brief edit task tasklist informations
  \author Hugo Pereira
  \version $Revision: 1.7 $
  \date $Date: 2011/11/11 13:29:10 $
*/

#include "Debug.h"
#include "TaskListConfiguration.h"
#include "TaskListDialog.h"



//______________________________________________
TaskListDialog::TaskListDialog( QWidget* parent, const TaskAttributes::List& attributes ):
  CustomDialog( parent )
{
  Debug::Throw( "TaskListDialog::TaskListDialog.\n" );
  setOptionName( "TASKLIST_DIALOG" );
  setWindowTitle( "Button List - Taskbar" );
  mainLayout().addWidget( tasklist_configuration_ = new TaskListConfiguration( this, attributes ) );
}
